commit 4218339a30a899ceb82a9a057c6b96bce624f917
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Oct 26 18:47:31 2010 -0700

    libFS 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f6aacdb5143032a9e21b8bb09212fcf69c839a85
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Oct 26 18:45:48 2010 -0700

    Remove unnecessary calls from configure.ac
    
    AM_PROG_CC is already covered by XORG_DEFAULT_OPTIONS
    AC_SUBST of CFLAGS & LIBS is taken care of by PKG_CHECK_MODULES
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c7c7dda28b61d9b008a2fab3baf8ed02662a6dbf
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 16:50:33 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit dbe6f1912d77cd42ca0ac7ac5296113f84fc690e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 15:09:34 2010 -0400

    config: install in $docdir and distribute doc/FSlib.txt
    
    The dist_doc_DATA statement was designed for that purpose.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 315643e773d666d1cc2248fe7ba1bc979ec34c70
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 14:53:48 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a391fd191e207b4408ce230505df25570cf041d4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:03 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 15104bf1988d27e7dc4272d32dbd381455c0e9f7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 491adff64c38f940ca21f6be9e370ebe90f72c3e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 1b6896d93de00ad79c28c537edead58309df0d31
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:41 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 40addd2ce521edadc6e6373b80c3c8c4f73c11c1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:18 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit be177a3bad2b3158c09ebfc0356e0944ca704732
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:23 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 364af12a2426358461f5ed5b142c97411cad80c5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 7 15:47:36 2009 -0700

    Version 1.0.2

commit 040bfd8f055f7e49f15e457842b8bca4f8d2020a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 7 15:45:50 2009 -0700

    Move CWARNFLAGS to Makefile.am for easier build-time overriding
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 233b72428a47272b599a6be0708b06f7ed674f7c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 7 08:57:53 2009 -0700

    Strip out-of-date RCS/CVS & SCCS version tags
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit f85f04b1287717d00cc29aaea2dc44bd59a2d2b3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 7 08:45:41 2009 -0700

    Constify FSErrorList
    
    Matches the code in libX11/src/ErrDes.c this is based on.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit b6c63181aded7f8e8879914b0f92767a47aa47cf
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jun 17 16:05:03 2009 -0700

    Drop #ifdef USG checks for some truly ancient (pre-SVR4) SysV's
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit b566d33d344876392254941d8ef73c848194c432
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jun 17 15:36:54 2009 -0700

    Fix server name handling in IOError messages during connection setup
    
     - Don't try to sprintf a NULL string for the server name
     - Initialize the server name pointer in the srv struct sooner,
       so errors during connection initialization can print it instead
       of a null string in the error message
    
    Had to update the error paths that freed the partially constructed
    structure, so combined them into a common implmentation via "goto fail".
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit eab796dabe05b4db2e193ab225deae613ac46a7b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue May 19 01:58:38 2009 -0700

    Make FSlib.txt prototypes match those in headers.
    
    Both conversion to ANSI C89 format and fixing some long standing mistakes.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 39be8ae0ac4d5281a006de67ae11f7877f443bc8
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue May 19 01:44:26 2009 -0700

    Move API doc from xorg-doc/doc/FSlib.doc

commit 84d71a733b6ab93318260a5641d7609dbc38a198
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:29 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 3779550c57db5fe845f955bec141ca24800f2fdb
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Wed Jan 28 16:41:28 2009 -0200

    Janitor: Correct make distcheck and compiler warnings.

commit 84cd6e7402382862abb473e7686a375db29f4d99
Author: Peter Korsgaard <jacmet@sunsite.dk>
Date:   Wed Oct 22 10:34:59 2008 -0400

    bcopy -> memmove

commit 9cbdb6ab49d8f9e6174a00d6b509bf6f1e3c1e78
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed May 21 18:40:05 2008 -0700

    Version 1.0.1

commit 16c85877e9754dfc83b7c60c9892a85d1ac14eaa
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed May 21 17:44:21 2008 -0700

    Replace sprintf with snprintf

commit 485308a08afe17e9486f8123c775b3e728d8d88f
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed May 21 17:31:15 2008 -0700

    Add hooks to check code with static analyzers like lint & sparse

commit 0a64482e6dcd636b9c8b2f38ecfed7945adfdb39
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed May 21 17:00:06 2008 -0700

    Put all copyright/license notices into COPYING file

commit 501f667cca6674704ad623a08918246ba2d2692d
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Tue Mar 4 17:41:18 2008 -0300

    libFS ansification.

commit 1513378c0f71caa42fc2620e439961cc82470a61
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Mar 9 00:16:17 2008 +0100

    nuke RCS Ids

commit 77f3fc68504451487bfc4ef8d393ccd95c823071
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:38:13 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit 63fcbab9d8c6c3324d797e8ce5b52046484d2495
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:53:29 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit 3efa1082c4b58080b6d369882d3e6611adee8b5b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 14:58:43 2006 -0700

    renamed: .cvsignore -> .gitignore

commit df8de2bc08703b8de404e113cba4a47134bca68f
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:27 2005 +0000

    Update package version number for final X11R7 release candidate.

commit ea190affa767ac2c64f70bc9a303929cf2eb6eff
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:41 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 11b1397e6c1356a70f42713f3a9779b866835d9e
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 04:41:47 2005 +0000

    Add check and cflags for malloc(0) returning NULL.

commit 87c96993d17812a55d92ef32a91083614e258f02
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:39 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit 2404b41c83ea49dcbf654e6448ea99ab72c8d82b
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:19:11 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 516e8e27077b7c4b535189e398030f6c2c99300a
Author: Kean Johnson <kean@armory.com>
Date:   Tue Nov 8 06:33:25 2005 +0000

    See ChangeLog entry 2005-11-07 for details.

commit b7c75dbf546e30fba6afba95b9a95fe4f50c6bba
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:08 2005 +0000

    Update package version number for RC1 release.

commit 4902aa061cfdd2f2f35158240d9da9706698cf61
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Aug 3 03:28:00 2005 +0000

    Do PKG_CHECK_MODULES on a unique token instead of on "DEP", so builds with
        a global configure cache don't get confused.

commit b15ff0fd68f67e37fc759742ebb637caac058f08
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 30 19:15:15 2005 +0000

    Add -D flags to clear various warnings (Stefan Dirsch)

commit 04ae86a006b608d2626ee90679cb84066cbc9710
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 30 19:09:37 2005 +0000

    Need to include "config.h" in fs_transport.c so Xtrans knows which
        transport types to support

commit 35facec2fbd93d176f637dda5323c16a38350dfa
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:49 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit be058d899bb49c6319041d05d54ed8e289a62adf
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jul 16 06:20:22 2005 +0000

    Set soversion to 6.0.0 using -version-number.

commit 227eb224880f912e7261d251ba2bf81992b7726f
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jul 13 07:27:15 2005 +0000

    Eliminate xtrans CFLAGS from .pc file as xtrans is not part of the public
        API.

commit 905552dfa2af617780bc2cd4d14edad845c3203b
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jul 13 07:23:56 2005 +0000

    Make some minor source adjustments so that we don not need to use
        -D_XOPEN_SOURCE -D_BSD_SOURCE everywhere as this will leak out of the
        modular environment and into application build processes, potentially
        foulling up their compiles.

commit 9a9aec0b9fb6315120c2ff87be94c6653802be76
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 05:58:09 2005 +0000

    Add .cvsignore files Switch _la_CFLAGS for AM_CFLAGS to clean up directory

commit e5721d4ea9a1ef400f790583b33b0491a224733f
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Jul 3 07:00:55 2005 +0000

    Add Xtrans definitions (FONT_t, TRANS_CLIENT) to clean up warnings.
    Add XSERV_t, TRANS_SERVER, TRANS_REOPEN to quash warnings.
    Add #include <dix-config.h> or <xorg-config.h>, as appropriate, to all
        source files in the xserver/xorg tree, predicated on defines of
        HAVE_{DIX,XORG}_CONFIG_H. Change all Xfont includes to
        <X11/fonts/foo.h>.

commit 6847a3b405dd98a1aa7804e97e6b2ce13bbf8bd7
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Jun 22 22:46:31 2005 +0000

    Apply these patches from Theo van Klaveren:
    lib-dmx.patch lib-FS.patch lib-X11.patch lib-XRes.patch
        lib-XScrnSaver.patch lib-xtrans.patch
    to make the libraries distcheck.

commit 5f6bbd9ed4002d9d6b5119a018bbc7345f47543a
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Thu Jun 9 15:54:09 2005 +0000

    Replace <X11/transport.c> with <X11/Xtrans/transport.c>

commit e798bd7804c100232a927b075fcc58262c1e50f9
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Thu Jun 9 15:52:02 2005 +0000

    Replace <X11/Xtrans.h> with <X11/Xtrans/Xtrans.h>
    Copy Xtrans.h to exports/include/X11/Xtrans only

commit 6c0b06eddcffce31814cb103142f5cda2df9da91
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed May 25 22:12:21 2005 +0000

    - Use XTRANS_CONNECTION_FLAGS macro in lib/FS/configure.ac
    - Don't symlink transport.c, which is a generated file
    - instead add a new file fs_transport.c that include Xtrans/X11/transport.c

commit 3a9234d968568f2009376cdb219ea47b90572c68
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed May 25 21:47:56 2005 +0000

    - Add FSlib to symlink.sh
    - Change Xtrans includedir back to be X11/Xtrans, so that users of it can
        continue to include <X11/*>
    - Add build system for FSlib
    - Conditionally include config.h in xc/lib/FS
    - Remove redundant include of FSproto.h in xc/lib/FS
    - Add check to proto/X11/configure.ac whether -D_XOPEN_SOURCE is needed.

commit f4a1380add427a6ed7a0025d5acd5642c683900e
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:43:08 2004 +0000

    Merging XORG-CURRENT into trunk

commit 7642992f5eea63b270cb8a7cbb1d470417fc47ad
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:31:37 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit a0ded183f87e10b1202446c1824ba1b895beea9e
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:10:54 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 6b3683787c2f47eaae68276e2919b2fbbbcf72c7
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:14 2004 +0000

    readding XFree86's cvs IDs

commit 7e0de805849b4bb1951376600d152d0121b06b52
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:22:28 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 0c5c8c10d628f28943a9cde02fb079c486ed71a3
Author: Egbert Eich <eich@suse.de>
Date:   Thu Jan 29 08:07:56 2004 +0000

    Importing vendor version xf86-012804-2330 on Thu Jan 29 00:06:33 PST 2004

commit f0345958208586004bee80bac057b651162b8a27
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Dec 19 20:54:21 2003 +0000

    XFree86 4.3.99.902 (RC 2)

commit b84549f69b504b733592759c161d59a00de79ac3
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:02 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit eec6ef2ff2462876d5c6df53691b6fb2e07dfcea
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:44 2003 +0000

    XFree86 4.3.0.1

commit 9e8dd4f7585c334c5b08f05f01c8900b5e4edf52
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:36 2003 +0000

    R6.6 is the Xorg base-line
